# Uses of Enum Class
org.eclipse.jdt.apt.core.env.Phase

Packages that use Phase
Package
Description
org.eclipse.jdt.apt.core.env
This package contains Eclipse extensions to some of the Sun annotation processing APIs.

## Uses of Phase in org.eclipse.jdt.apt.core.env

Subclasses with type arguments of type Phase in org.eclipse.jdt.apt.core.env
Modifier and Type
Class
Description
`enum`
`Phase`
Enum for APT related operation phase.
Methods in org.eclipse.jdt.apt.core.env that return Phase
Modifier and Type
Method
Description
`Phase`
EclipseAnnotationProcessorEnvironment.`getPhase()`
Indicate whether the processor is being called during a build or during editing (that is, during reconcile).
`static Phase`
Phase.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Phase[]`
Phase.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.